Bug 1919066 (CVE-2019-25014) - CVE-2019-25014 istio-pilot: requests to debug api can result in panic
Summary: CVE-2019-25014 istio-pilot: requests to debug api can result in panic
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-25014
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1909252
TreeView+ depends on / blocked
 
Reported: 2021-01-22 03:01 UTC by Mark Cooper
Modified: 2021-09-23 14:26 UTC (History)
3 users (show)

Fixed In Version: istio 1.5.0-alpha.0
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in istio-pilot. This flaw allows an attacker to send a crafted HTTP GET request to the pilot debug API endpoint. This action causes pilot to panic, resulting in a denial of service to the istio pilot application. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-04-22 10:46:38 UTC


Attachments (Terms of Use)

Description Mark Cooper 2021-01-22 03:01:33 UTC
Istio pilot before v1.5.0-alpha.0 is susceptible to an array out of range panic. If a crafted HTTP GET request is made to the pilot debug API endpoint, it is possible to cause the Go runtime to panic resulting in a denial of service to the istio-pilot application.

Comment 6 errata-xmlrpc 2021-04-22 09:01:29 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 1.1

Via RHSA-2021:1322 https://access.redhat.com/errata/RHSA-2021:1322

Comment 7 Product Security DevOps Team 2021-04-22 10:46:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-25014


Note You need to log in before you can comment on or make changes to this bug.